Skip to content
Back to top
View this page

# XEP-0455: Service Outage Status

XEP-0455 on xmpp.org

class slixmpp.plugins.xep_0455.XEP_0455(xmpp, config=None)

  XEP-0455: Service Outage Status

  async classmethod fetch_status(addresses)

    Get the external status from a list of addresses. Only works with http/https for now and stops on the first status fetched successfully.

    Parameters:

      addresses (`str` | `list`[`str`]) – address or list of addresses to fetch the status from.

    Return type:

      `dict`

  async get_external_status_addresses(domain=None, **iqkwargs)

    Return the list of external status addresses for this domain.

    Parameters:

      domain (`JID` | `None`) – Domain to disco to find a service.

    Return type:

      `list`[`str`]